PolarPlot (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: PolarPlot

Package edu.sc.seis.TauP

# Class PolarPlot

java.lang.Object
java.awt.Component
java.awt.Canvas
edu.sc.seis.TauP.PolarPlot

All Implemented Interfaces:
  `java.awt.image.ImageObserver`, `java.awt.MenuContainer`, `java.io.Serializable`, `javax.accessibility.Accessible`

    public class PolarPlot
    extends java.awt.Canvas

Simple polar plot widget.

See Also:
  Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.awt.Canvas

  `java.awt.Canvas.AccessibleAWTCanvas`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static short` | `FULL` |
  `static short` | `HALF` |
  `static short` | `QUARTER` |
  `protected java.util.Vector` | `segments` |

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PolarPlot​(java.awt.Container parent)` |
  `PolarPlot​(java.awt.Container parent, int width)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `appendSegment​(TimeDist[] td)` |
  `void` | `clearSegments()` |
  `java.awt.Color` | `colorForSegment​(int segNum)` |
  `java.awt.Insets` | `insets()` |
  `java.awt.Dimension` | `minimumSize()` |
  `void` | `paint​(java.awt.Graphics g)` |
  `protected void` | `plotCircles​(java.awt.Graphics g)` |
  `protected void` | `plotData​(java.awt.Graphics g)` |
  `java.awt.Dimension` | `preferredSize()` |
  `void` | `setCircles​(double[] circles)` |
  `void` | `setDisplayMode​(short mode)` |
  `void` | `setOutsideRadius​(double r)` |

  ### Methods inherited from class java.awt.Canvas

  `addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setMixingCutoutShape, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### segments

    protected java.util.Vector segments

  - ### FULL

    public static final short FULL
    See Also:
      Constant Field Values

  - ### HALF

    public static final short HALF
    See Also:
      Constant Field Values

  - ### QUARTER

    public static final short QUARTER
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### PolarPlot

    public PolarPlot​(java.awt.Container parent)

  - ### PolarPlot

    public PolarPlot​(java.awt.Container parent, int width)

- ## Method Details

  - ### setCircles

    public void setCircles​(double[] circles)

  - ### setOutsideRadius

    public void setOutsideRadius​(double r)

  - ### appendSegment

    public void appendSegment​(TimeDist[] td)

  - ### clearSegments

    public void clearSegments()

  - ### setDisplayMode

    public void setDisplayMode​(short mode)

  - ### preferredSize

    public java.awt.Dimension preferredSize()
    Overrides:
      `preferredSize` in class `java.awt.Component`

  - ### minimumSize

    public java.awt.Dimension minimumSize()
    Overrides:
      `minimumSize` in class `java.awt.Component`

  - ### insets

    public java.awt.Insets insets()

  - ### paint

    public void paint​(java.awt.Graphics g)
    Overrides:
      `paint` in class `java.awt.Canvas`

  - ### plotCircles

    protected void plotCircles​(java.awt.Graphics g)

  - ### plotData

    protected void plotData​(java.awt.Graphics g)

  - ### colorForSegment

    public java.awt.Color colorForSegment​(int segNum)